import http from '@/https/request.js'

export default {
	// 地区信息
	area_tree(data){ return http('/api/common/area_tree' , "GET" , data) },
	//用户登录
	passwordLogin(data){ return http('/api/passwordLogin' , "POST" , data) },
	//用户信息
	getUserInfo(data){ return http('/api/getUserInfo' , "POST" , data) },
	//短信接口
	smsSend(data){ return http('/api/smsSend' , "POST" , data) },
	//忘记密码
	ForgetPassword(data){ return http('/api/ForgetPassword' , "POST" , data) },
	//完善信息
	completeInformation(data){ return http('/api/completeInformation' , "POST" , data) },
	//获取系统设置
	configInfo(data){ return http('/api/configInfo' , "POST" , data) },
	//上传接口
	uploadLocality(data){ return http('/api/uploadLocality' , "POST" , data) },
	//上传分类
	getUploadingName(data){ return http('/api/getUploadingName' , "POST" , data) },
	//病例分类
	getCaseName(data){ return http('/api/getCaseName' , "POST" , data) },
	//病例上传
	patientQuide(data){ return http('/api/patientQuide' , "POST" , data) },
	//病例列表
	patientQuideByPhongList(data){ return http('/api/patientQuideByPhongList' , "POST" , data) },
	//专家病例列表
	patientListZj(data){ return http('/api/patientListZj' , "POST" , data) },
	//病例编辑
	patientQuideEdit(data){ return http('/api/patientQuideEdit' , "POST" , data) },
	
	//上传接口2
	uploadLocality2(data){ return http('/api/uploadLocality2' , "POST" , data) },
	
	//问卷
	topicAdd(data){ return http('/api/topicAdd' , "POST" , data) },
	// 问卷数量
	getTopicNum(data){ return http('/api/getTopicNum' , "POST" , data) },
	// 问卷列表
	quesMessage(data){ return http('/api/quesMessage' , "POST" , data) },
	// 问卷详情
	quesInfo(data){ return http('/api/quesInfo' , "GET" , data) },
	// 提交问卷
	noteAdd(data){ return http('/api/noteAdd' , "POST" , data) },
	// 获取隐私政策
	getPrivacy(data){ return http('/api/getPrivacy' , "POST" , data) },
	
	// 获取登录人公司
	getCompName(data){ return http('/api/getCompName' , "GET" , data) },
	// 勾选个人公司
	setCompNameTrue(data){ return http('/api/setCompNameTrue' , "GET" , data) },
	// 获取用户签约状态
	getApiUserSignStatus(data){ return http('/api/getApiUserSignStatus' , "GET" , data) },
	// 获取签约协议
	getUserAgreement(data){ return http('/api/getUserAgreement' , "GET" , data) },
	// 签署协议
	agreeUserAgreement(data){ return http('/api/agreeUserAgreement' , "GET" , data) },
	// 四要素验证（下发验证码）
	perfectInformation(data){ return http('/api/perfectInformation' , "POST" , data) },
	// 完善个人信息
	perfectInformationUpload(data){ return http('/api/perfectInformationUpload' , "POST" , data) },
	// 小程序转账列表
	transList(data){ return http('/api/transList' , "GET" , data) },
}
